package com.ruoyi.growthrate.mapper;

import java.util.List;
import java.util.Map;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.growthrate.vo.PatentGrowthrateDO;
import com.ruoyi.growthrate.vo.PatentGrowthrateQO;

public interface PatentGrowthrateMapper extends BaseMapper<PatentGrowthrateDO>{
	List<Map>listForActAll(PatentGrowthrateQO patentGrowthrateQO);
	List<Map>listForActPatent(PatentGrowthrateQO patentGrowthrateQO);
	List<Map>listForActAppli(PatentGrowthrateQO patentGrowthrateQO);
	
	List<Map>listForAuthAll(PatentGrowthrateQO patentGrowthrateQO);
	List<Map>listForAuthPatent(PatentGrowthrateQO patentGrowthrateQO);
	List<Map>listForAuthAppli(PatentGrowthrateQO patentGrowthrateQO);
	
	
	List<Map>listForHv(PatentGrowthrateQO patentGrowthrateQO);
}
